Bug 84821 - Upgrade: misc/lesspipe to 1.52
Summary: Upgrade: misc/lesspipe to 1.52
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-11 22:30 UTC by Slaven Rezic
Modified: 2005-08-29 16:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Slaven Rezic 2005-08-11 22:30:13 UTC

Fix: Following a patch to upgrade lesspipe from 1.43 to 1.52.

# 
# 
# To apply this patch:
# STEP 1: Chdir to the source directory.
# STEP 2: Run the 'applypatch' program with this patch file as input.
#
# If you do not have 'applypatch', it is part of the 'makepatch' package
# that you can fetch from the Comprehensive Perl Archive Network:
# http://www.perl.com/CPAN/authors/Johan_Vromans/makepatch-x.y.tar.gz
# In the above URL, 'x' should be 2 or higher.
#
# To apply this patch without the use of 'applypatch':
# STEP 1: Chdir to the source directory.
# If you have a decent Bourne-type shell:
# STEP 2: Run the shell with this file as input.
# If you don't have such a shell, you may need to manually delete
# the files as shown below.
# STEP 3: Run the 'patch' program with this file as input.
#
# These are the commands needed to create/delete files/directories:
#
rm -f 'files/patch-configure'
#
# This command terminates the shell and need not be executed manually.
exit
#
#### End of Preamble ####

#### Patch data follows ####


#### ApplyPatch data follows ####
# Data version        : 1.0
# Date generated      : Thu Aug 11 23:07:24 2005
# Generated by        : makepatch 2.00_05
# Recurse directories : Yes
# Excluded files      : (\A|.*/)CVS(/.*|\Z)
#                       (\A|.*/)RCS(/.*|\Z)
#                       ,v\Z
#                       (\A|.*/)SCCS(/.*|\Z)
#                       (\A|.*/)[sp]\..+\Z
# r 'files/patch-configure' 1314 0
# p 'Makefile' 1220 1123794161 0100660
# p 'distinfo' 98 1123793500 0100660
#### End of ApplyPatch data ####

#### End of Patch kit [created: Thu Aug 11 23:07:24 2005] ####
#### Patch checksum: 61 1927 3813 ####
#### Checksum: 90 2915 21660 ####--tcziM23BY84kjPo28xQpbRR6rYg2cNUWriUX0XM0ZT5ADFpK
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -up '/usr/ports/misc/lesspipe/Makefile' 'lesspipe/Makefile'
Index: ./Makefile
--- ./Makefile	Sun Dec 12 14:19:07 2004
+++ ./Makefile	Thu Aug 11 23:02:41 2005
@@ -2,11 +2,11 @@
 # Date created:        11 December 2004
 # Whom:                Slaven Rezic <slaven@rezic.de>
 #
-# $FreeBSD: ports/misc/lesspipe/Makefile,v 1.1 2004/12/12 13:19:07 sem Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	lesspipe
-PORTVERSION=	1.43
+PORTVERSION=	1.52
 CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	lesspipe
@@ -42,7 +42,14 @@ PLIST_FILES=	bin/lesspipe.sh \
 PKGMESSAGE=	${WRKDIR}/pkg-message
 SUB_FILES=	pkg-message
 
+MAN1=		lesspipe.1
+
 do-build:
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/code2color  ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/lesspipe.sh ${PREFIX}/bin
+	${INSTALL_MAN}    ${WRKSRC}/lesspipe.1  ${PREFIX}/man/man1
 
 post-install:
 	@${CAT} ${PKGMESSAGE}
diff -up '/usr/ports/misc/lesspipe/distinfo' 'lesspipe/distinfo'
Index: ./distinfo
--- ./distinfo	Sun Dec 12 14:19:07 2004
+++ ./distinfo	Thu Aug 11 22:51:40 2005
@@ -1,2 +1,2 @@
-MD5 (lesspipe-1.43.tar.gz) = 76c5ce7b45afc3fa7584acb299e0d98f
-SIZE (lesspipe-1.43.tar.gz) = 51922
+MD5 (lesspipe-1.52.tar.gz) = 905d11ffb75cb276deaff227f216d6bb
+SIZE (lesspipe-1.52.tar.gz) = 78415
#### End of Patch data ####
Comment 1 Volker Stolz freebsd_committer 2005-08-29 16:37:45 UTC
State Changed
From-To: open->closed

Committed with modifications, thanks! 
- No need to set PKGMESSAGE 
- It's spelled NO_BUILD=yes 
- Please don't modify the $FreeBSD$-cvs tag!